
QGIS Application - Bug report #16842

Processing - GRASS fails 

2017-07-11 01:26 AM - Vincent Hussey

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.18.10 Regression?: No

Operating System: Linux Mint 17 Qiana / Ubuntu 14.04.5 LTS Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24741

Description

Select a Grass 7 tool, e.g v.split.length, r.aspect

Error message: Missing dependency. This algorithm cannot be run :-( 

It seems that GRASS GIS 7 is not correctly installed and configured in your system. Please install it before running GRASS GIS 7

algorithms.

Console output: ERROR: option <output>:

</tmp/processinge1c274c67147466d8f674e4a73e37a95/734717ba89834cb895be30f61d6e4555> exists. To overwrite, use the

--overwrite flag

This message is produced in plugins/processing/gui/ProcessingToolbox.py

It appears that the tool runs through some diagnostic steps involving creating various files.  This fails when the same filename is reused

and the overwrite flag is not provided.

History

#1 - 2017-07-11 01:33 AM - Vincent Hussey

Maybe the regression is commit:a87ca09e3458714d883b496f535727bc886ccb16

#2 - 2017-07-14 06:58 PM - Giovanni Manghi

- Regression? changed from Yes to No

- Status changed from Open to Feedback

Just tested on both the described OSes (same versions) and cannot confirm. Using QGIS installed from QGIS with ubuntugis dependencies.

Please check in ~/.qgis2/python/plugins

you have a "processing" folder, is yes delete, restart qgis and try again.

#3 - 2017-07-15 03:19 AM - Vincent Hussey

Removing the processing folder worked.

rm -Rf ~/.qgis2/python/plugins/processing*

Thanks for the feedback

#4 - 2017-07-15 12:15 PM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed
